WinShopAPI docs
ReferenceItem lists

Documents / Intakes / States

List states

GET
/api/item-lists/documents/intakes/states

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/documents/intakes/states' \  -H 'Authorization: Bearer <access-token>'
[  {    "id": 0,    "userStatus": "string",    "userStatusCannotBeProcessed": true  }]

Get a state

GET
/api/item-lists/documents/intakes/states/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
id?|
Formatint32
userStatus?|
Lengthlength <= 50
userStatusCannotBeProcessed?boolean|null
curl -X GET 'https://<your-instance>/api/item-lists/documents/intakes/states/0' \  -H 'Authorization: Bearer <access-token>'
{  "id": 0,  "userStatus": "string",  "userStatusCannotBeProcessed": true}